#   ______       ____  __                __       
#  / __/ /  ___ / / / / /  ___  ___ ____/ /__ ____
# _\ \/ _ \/ -_) / / / /__/ _ \/ _ `/ _  / -_) __/
#/___/_//_/\__/_/_/ /____/\___/\_,_/\_,_/\__/_/

TOOLKIT=/etc/toolkit

load_scripts_in_dir() {
  for sh in ${TOOLKIT}/sh/custom/*.sh; do
    test -r "$sh" && . "$sh"
  done
}

create_dir_if_not_exists() {
  if [[ ! -d $1 ]]; then
    mkdir -p $1
  fi
}

# Load custom scripts (aliases, variables, etc...)
load_scripts_in_dir $TOOLKIT/sh/custom_scripts

# Scripts ran to modify existing toolkit updates
load_scripts_in_dir $TOOLKIT/sh/patch_scripts
